SDO_DAS_XML::loadString
SDO_DAS_XML::saveString
SDO DAS XML Functions
PHP Manual

# SDO_DAS_XML::saveFile

(^)

SDO_DAS_XML::saveFile — Saves the SDO_DAS_XML_Document object to a file

### Description

void SDO_DAS_XML::saveFile ( SDO_XMLDocument `$xdoc` , string `$xml_file` [, int `$indent` ] )

Saves the SDO_DAS_XML_Document object to a file.

### Parameters

`xdoc`

  SDO_DAS_XML_Document object.

`xml_file`

  xml file.

`indent`

  Optional argument to specify that the xml should be formatted. A non-negative integer is the amount to indent each level of the xml. So, the integer 2, for example, will indent the xml so that each contained element is two spaces further to the right than its containing element. The integer 0 will cause the xml to be completely left-aligned. The integer -1 means no formatting - the xml will come out on one long line.

### Return Values

None.

### Errors/Exceptions

`SDO_DAS_XML_FileException`

  Thrown if the specified file cannot be found.

SDO_DAS_XML::loadString
SDO_DAS_XML::saveString
SDO DAS XML Functions
PHP Manual